> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mosey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Signup To Create A Legal Entity



## OpenAPI

````yaml /openapi_v2.json post /v2/signup
openapi: 3.1.0
info:
  title: Mosey API
  description: If you'd like to use the Mosey API, please contact sales@mosey.com.
  version: V2
  x-logo:
    url: null
servers: []
security: []
paths:
  /v2/signup:
    post:
      summary: Signup To Create A Legal Entity
      operationId: Signup_to_create_a_legal_entity_v2_signup_post
      parameters:
        - name: authorization
          in: header
          required: false
          schema:
            type: string
            title: Authorization
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PlatformSignupRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformSignupResponse'
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformHttpException'
          description: Forbidden
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformHttpException'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PlatformSignupRequestValidationException'
          description: Unprocessable Entity
components:
  schemas:
    PlatformSignupRequest:
      properties:
        user_email:
          type: string
          title: User Email
        business_name:
          type: string
          title: Business Name
        entity_type:
          $ref: '#/components/schemas/EntityTypeEnum'
        tax_class:
          $ref: '#/components/schemas/TaxClassEnum'
        incorporation_region:
          $ref: '#/components/schemas/StateCode'
        incorporated_date:
          type: string
          format: date
          title: Incorporated Date
        ein:
          anyOf:
            - type: string
            - type: 'null'
          title: Ein
        llc_managed_type:
          anyOf:
            - $ref: '#/components/schemas/LLCManagedTypeEnum'
            - type: 'null'
        business_purpose:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Purpose
        business_phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Phone
        business_email:
          anyOf:
            - type: string
            - type: 'null'
          title: Business Email
        business_address:
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
        mailing_address:
          anyOf:
            - $ref: '#/components/schemas/Address'
            - type: 'null'
        naics_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Naics Code
        accounting_method:
          anyOf:
            - $ref: '#/components/schemas/AccountingMethod'
            - type: 'null'
        accounting_period:
          anyOf:
            - $ref: '#/components/schemas/AccountingPeriod'
            - type: 'null'
        accounting_year_end:
          anyOf:
            - $ref: '#/components/schemas/AccountingYearEndMonth'
            - type: 'null'
        futa_liability_year:
          anyOf:
            - type: string
            - type: 'null'
          title: Futa Liability Year
        external_company_id:
          anyOf:
            - type: string
            - type: 'null'
          title: External Company Id
        authorization_callback_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Authorization Callback Url
      type: object
      required:
        - user_email
        - business_name
        - entity_type
        - tax_class
        - incorporation_region
        - incorporated_date
      title: PlatformSignupRequest
    PlatformSignupResponse:
      properties:
        legal_entity_id:
          type: string
          title: Legal Entity Id
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: This is the next URL to follow to complete the signup process.
      type: object
      required:
        - legal_entity_id
      title: PlatformSignupResponse
    PlatformHttpException:
      properties:
        message:
          type: string
          title: Message
        detail:
          type: string
          title: Detail
      type: object
      required:
        - message
        - detail
      title: PlatformHttpException
    PlatformSignupRequestValidationException:
      properties:
        message:
          type: string
          title: Message
        detail:
          anyOf:
            - type: string
            - items:
                additionalProperties: true
                type: object
              type: array
          title: Detail
        body:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Body
      type: object
      required:
        - message
        - detail
        - body
      title: PlatformSignupRequestValidationException
    EntityTypeEnum:
      type: string
      enum:
        - unset
        - c_corp
        - p_corp
        - pllc
        - llc
        - llp
        - lp
        - gp
      title: EntityTypeEnum
    TaxClassEnum:
      type: string
      enum:
        - unset
        - corp
        - s_corp
        - partnership
        - disregarded
        - tax_exempt
      title: TaxClassEnum
      description: >-
        The IRS tax classification for an entity.


        In some circumstances, a company can elect to be treated different

        from the entity type for tax purposes. For example, an LLC can

        elect to be taxed as a corporation.

        - Corp: taxed as a corporation, the default for C Corps

        - S Corp: election using IRS Form 2553

        - Partnership: taxed as a partnership, the default for LPs

        - Disregarded: taxes pass through to the members, default for LLCs

        - Tax Exempt: an entity that is recognized by the IRS as being exempt
        from paying federal income taxes on its earnings
    StateCode:
      type: string
      enum:
        - AL
        - AK
        - AZ
        - AR
        - CA
        - CO
        - CT
        - DE
        - DC
        - FL
        - GA
        - HI
        - ID
        - IL
        - IN
        - IA
        - KS
        - KY
        - LA
        - ME
        - MD
        - MA
        - MI
        - MN
        - MS
        - MO
        - MT
        - NE
        - NV
        - NH
        - NJ
        - NM
        - NY
        - NC
        - ND
        - OH
        - OK
        - OR
        - PA
        - RI
        - SC
        - SD
        - TN
        - TX
        - UT
        - VT
        - VA
        - WA
        - WV
        - WI
        - WY
      title: StateCode
    LLCManagedTypeEnum:
      type: string
      enum:
        - member_managed
        - manager_managed
      title: LLCManagedTypeEnum
    Address:
      properties:
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        address_line_1:
          type: string
          title: Address Line 1
        address_line_2:
          anyOf:
            - type: string
            - type: 'null'
          title: Address Line 2
        city:
          type: string
          title: City
        state:
          type: string
          title: State
        country:
          type: string
          title: Country
        postal_code:
          type: string
          title: Postal Code
      type: object
      required:
        - address_line_1
        - city
        - state
        - country
        - postal_code
      title: Address
    AccountingMethod:
      type: string
      enum:
        - accrual
        - cash
      title: AccountingMethod
    AccountingPeriod:
      type: string
      enum:
        - fiscal
        - calendar
      title: AccountingPeriod
    AccountingYearEndMonth:
      type: string
      enum:
        - January
        - February
        - March
        - April
        - May
        - June
        - July
        - August
        - September
        - October
        - November
        - December
      title: AccountingYearEndMonth

````